#Grafico della latenza:
set term post eps enhanced color "Helvetica" 22
set size ratio 0.6
set key horizontal
set key font "Helvetica, 20"
ms(t) = t/1000

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1
set grid x y2

#Tipi di linea:
set style line 2 lc rgb 'blue' lt 1 lw 3 pointtype 3 pointsize 1.6
set style line 3 lc rgb 'red' lt 1 lw 3 pointtype 7 pointsize 1.6
set style line 4 lc rgb '#005300' lt 1 lw 3 pointtype 2 pointsize 1.6
set style line 5 lc rgb 'black' lt 1 lw 3 pointtype 11 pointsize 1.6

#Titolo assi:
set ylabel "Average latency (msec)"
set xlabel "Elapsed execution time (sec)"

#Grafico caso non risolvibile:
set title "Synthetic benchmark - query latency (per second of execution)"
set output "latency.eps"
set xrange [20: 190]
set xtics (40, 60, 80, 100, 120, 140, 160, 180)
set yrange[2:256]
set ytics (3, 6, 12)
set log y
set y2range[6:40]
set y2tics (16, 20, 24, 32, 40)
set log y2
plot "latency.txt" using 1:(ms($4)) w lp ls 2 title "WF." axes x1y2, "latency.txt" using 1:(ms($3)) w lp ls 3 title "KP." axes x1y2, "latency.txt" using 1:(ms($2)) w lp ls 4 title "PF." axes x1y1, "latency.txt" using 1:(ms($5)) w lp ls 5 title "WP." axes x1y1