#Istogrammi della Massimo Rate Sostenibile (Caso Non-risolvibile).
set term post eps enhanced color "Helvetica" 22
set size ratio 0.6
set key horizontal
set key font "Helvetica, 20"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Tipo di grafico:
set style data histogram
set style histogram cluster gap 1
set style fill solid 0.5 border 0
set boxwidth 1.2

#Tipi di linea:
set style line 2 lc rgb 'blue' lt 1 lw 3
set style line 3 lc rgb 'red' lt 1 lw 3
set style line 4 lc rgb '#005300' lt 1 lw 3
set style line 5 lc rgb 'black' lt 1 lw 3

#Titolo assi:
set ylabel "Max sustainable input rate (tuples/sec)"
set xlabel "Parallelism degree (number of Workers)"

#Grafico caso non risolvibile:
set title "Synthetic benchmark - very skewed distribution of keys"
set output "rates-noresolv.eps"
set multiplot
set size 1.0,1.0
set yrange [0:2100000]
set ytics ("0" 0, "250K" 250000, "500K" 500000, "750K" 750000, "1M" 1000000, "1.25M" 1250000, "1.5M" 1500000, "1.75M" 1750000, "2M" 2000000)
plot "rates-noresolv.txt" u 2:xtic(1) ls 2 fs pattern 15 title "WF.", '' using 4 ls 4 fs pattern 1 title "PF.", '' using 3 ls 3 fs pattern 3 title "KP.", '' using 5 ls 5 fs pattern 2 title "WP."
set key font "Helvetica, 12"
set title "Probability"
set ylabel ""
set xlabel ""
set nokey
set size 0.4,0.4
set origin 0.12,0.4
set yrange [0.0001:0.35]
set ytics (0.002, 0.16)
set xrange [1:1000]
set xtics (1, 50, 1000)
set style fill solid 0.5
set logscale y
set logscale x
#plot "distr_noresolv.txt" with boxes ls 5 title "Probability."
plot "distr_noresolv.txt" with filledcurve x1 ls 5 title "Probability."