#Grafico della Massimo Rate Sostenibile (Skyline).
set term post eps enhanced color "Helvetica" 22
set size ratio 0.6
set key top left
set key font "Helvetica, 20"

#Griglia:
set style line 1 lc rgb '#808080' lt 0 lw 2
set grid back ls 1

#Tipi di linea:
set style line 2 lt 1 lw 6 lc rgb "red" pointtype 3 pointsize 1.8
set style line 3 lt 1 lw 6 lc rgb "black" pointtype 6 pointsize 1.8
set style line 4 lt 1 lw 6 lc rgb "blue" pointtype 4 pointsize 1.8
set style line 5 lt 1 lw 6 lc rgb "#036C0D" pointtype 2 pointsize 2
set style line 6 lt 0 lw 3 lc rgb "black"
band(t) = 1000000/t

#Grafico:
set output "skyline-rates.eps"
set key top left
set title "Skyline query - max sustainable input rate"
set xtics (1,2,3,4,5,6,7,8,9,10,11,12)
set xrange [0:13]
set ylabel "Max sustainable input rate (tuples/sec)"
set xlabel "Parallelism degree (number of Workers)"
set yrange [0:300000]
set ytics ("0" 0, "50K" 50000, "100K" 100000, "150K" 150000, "200K" 200000, "250K" 250000, "300K" 300000)
plot [0:13] "./finres_load_corr.log" using 9:(band($1)) w lp ls 2 title "Correlated.", "./finres_load_indip.log" using 9:(band($1)) w lp ls 3 title "Independent.", "./finres_load_anti.log" using 9:(band($1)) w lp ls 4 title "Anticorrelated."